Basic config for Debian
=======================

This script configure basic config for Debian

The following component are configured:

+ Install git and tig
+ Set git username and email
+ Install bash-completion
+ Install and configure auto updates (unattended-upgrades and apt-listchanges
+ Install and tune logrotate
+ Disable IPv6 (or no, see parameters.conf)
+ Tune .vimrc
+ Tune .bashrc
+ Tune .profile
+ Send alert email for new ssh connexion
+ Set Time Zone (see parameters.conf to edit, default "Europe/Paris")

You just need to clone this repository in `/srv/git/basic_config_debian` and execute the `auto_config.sh` script

```bash
apt install git
mkdir -p /srv/git
git clone https://github.com/AlbanVidal/basic_config_debian.git /srv/git/basic_config_debian
cd /srv/git/basic_config_debian
./auto_config.sh
```

## New aliases and functions available

+ `hddtop`: print hard drive usage
+ `ipa`, `ip4a`, `ip6a` and `ip4all`: print interfaces list
+ `memtop`: print top usage memory
+ `jf`: aliases for `journalctl -f`
